import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/staff_request_report_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/staff_request_report_entity.g.dart';

@JsonSerializable()
class StaffRequestReportEntity {
	String? name = null;
	int num = 0;
	String? ratio = null;
	String? bg = null;

	StaffRequestReportEntity();

	factory StaffRequestReportEntity.fromJson(Map<String, dynamic> json) => $StaffRequestReportEntityFromJson(json);

	Map<String, dynamic> toJson() => $StaffRequestReportEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}